ros-lyrical-gz-ros2-control-demos (3.0.7-3resolute) resolute; urgency=high

  * Add missing tests for pendulum and gripper (position and effort) (#814 <https://github.com/ros-controls/gz_ros2_control/issues/814>)
  * Add initial_value checks to state interface tests  (#765 <https://github.com/ros-controls/gz_ros2_control/issues/765>)
  * Migrate to the new Handles API with variants in the Hardware Components (#763 <https://github.com/ros-controls/gz_ros2_control/issues/763>)
  * Contributors: José Luis Pérez Martín, Sai Kishor Kothakota

 -- Alejandro Hernandez <ahcorde@osrfoundation.org>  Wed, 15 Apr 2026 05:00:00 -0000

ros-lyrical-gz-ros2-control-demos (3.0.6-3resolute) resolute; urgency=high



 -- Alejandro Hernandez <ahcorde@osrfoundation.org>  Thu, 08 Jan 2026 06:00:00 -0000

ros-lyrical-gz-ros2-control-demos (3.0.5-3resolute) resolute; urgency=high



 -- Alejandro Hernandez <ahcorde@osrfoundation.org>  Thu, 16 Oct 2025 05:00:00 -0000

ros-lyrical-gz-ros2-control-demos (3.0.4-3resolute) resolute; urgency=high

  * Add a custom plugin for simulating actuator dynamics to the demos (#693 <https://github.com/ros-controls/gz_ros2_control/issues/693>)
  * Update docs (#692 <https://github.com/ros-controls/gz_ros2_control/issues/692>)
  * get rid of deprecated rclcpp::spin_some() (#678 <https://github.com/ros-controls/gz_ros2_control/issues/678>)
  * Contributors: Alejandro Hernández Cordero, Christoph Fröhlich

 -- Alejandro Hernandez <ahcorde@osrfoundation.org>  Mon, 29 Sep 2025 05:00:00 -0000

ros-lyrical-gz-ros2-control-demos (3.0.3-3resolute) resolute; urgency=high

  * Fix ackermann example inertial and joint tf publish (#641 <https://github.com/ros-controls/gz_ros2_control/issues/641>)
  * Contributors: Reza Kermani

 -- Alejandro Hernandez <ahcorde@osrfoundation.org>  Mon, 18 Aug 2025 05:00:00 -0000

ros-lyrical-gz-ros2-control-demos (3.0.2-3resolute) resolute; urgency=high

  * Added missing exec depend (#626 <https://github.com/ros-controls/gz_ros2_control/issues/626>)
  * Contributors: Alejandro Hernández Cordero

 -- Alejandro Hernandez <ahcorde@osrfoundation.org>  Wed, 09 Jul 2025 05:00:00 -0000

ros-lyrical-gz-ros2-control-demos (3.0.1-3resolute) resolute; urgency=high

  * Provide force-torque sensor data through gz_system to controller_manager - fixes to original PR  (#610 <https://github.com/ros-controls/gz_ros2_control/issues/610>)
  * Contributors: Bartłomiej Krajewski

 -- Alejandro Hernandez <ahcorde@osrfoundation.org>  Wed, 02 Jul 2025 05:00:00 -0000

ros-lyrical-gz-ros2-control-demos (3.0.0-3resolute) resolute; urgency=high

  * Use ros2_control_cmake (#588 <https://github.com/ros-controls/gz_ros2_control/issues/588>)
  * Contributors: Christoph Fröhlich

 -- Alejandro Hernandez <ahcorde@osrfoundation.org>  Mon, 26 May 2025 05:00:00 -0000

ros-lyrical-gz-ros2-control-demos (2.0.8-3resolute) resolute; urgency=high

  * Use target_link_libraries instead of ament_target_dependencies (#586 <https://github.com/ros-controls/gz_ros2_control/issues/586>)
  * Fix ackermann demo (#582 <https://github.com/ros-controls/gz_ros2_control/issues/582>)
  * [kilted] Update deprecated call to ament_target_dependencies (#575 <https://github.com/ros-controls/gz_ros2_control/issues/575>)
  * Update parameters for steering_controllers_library (#566 <https://github.com/ros-controls/gz_ros2_control/issues/566>)
  * Use  --controller-ros-args to use parser append action in controller spawner (#546 <https://github.com/ros-controls/gz_ros2_control/issues/546>)
  * Contributors: Christoph Fröhlich, David V. Lu!!, Narukara, Sai Kishor Kothakota, louietouie

 -- Alejandro Hernandez <ahcorde@osrfoundation.org>  Fri, 23 May 2025 05:00:00 -0000

ros-lyrical-gz-ros2-control-demos (2.0.7-3resolute) resolute; urgency=high

  * Remove gtest dependency (#543 <https://github.com/ros-controls/gz_ros2_control/issues/543>)
  * Unify cmd_vel topics for mobile_robots demos (#530 <https://github.com/ros-controls/gz_ros2_control/issues/530>)
  * Don't access node after reset (#514 <https://github.com/ros-controls/gz_ros2_control/issues/514>)
  * Remap to /tf (#506 <https://github.com/ros-controls/gz_ros2_control/issues/506>)
  * Contributors: Aarav Gupta, Christoph Fröhlich

 -- Alejandro Hernandez <ahcorde@osrfoundation.org>  Fri, 04 Apr 2025 05:00:00 -0000

ros-lyrical-gz-ros2-control-demos (2.0.6-3resolute) resolute; urgency=high

  * Update diff_drive_controller.yaml (#494 <https://github.com/ros-controls/gz_ros2_control/issues/494>)
  * Update cart demos to use joint_trajectory_controller (#486 <https://github.com/ros-controls/gz_ros2_control/issues/486>)
    Co-authored-by: Alejandro Hernández Cordero <mailto:ahcorde@gmail.com>
  * Contributors: Aarav Gupta, Christoph Fröhlich

 -- Alejandro Hernandez <ahcorde@osrfoundation.org>  Wed, 19 Feb 2025 06:00:00 -0000

ros-lyrical-gz-ros2-control-demos (2.0.5-3resolute) resolute; urgency=high

  * Use files from demos for testing (#485 <https://github.com/ros-controls/gz_ros2_control/issues/485>)
  * Contributors: Christoph Fröhlich

 -- Alejandro Hernandez <ahcorde@osrfoundation.org>  Thu, 30 Jan 2025 06:00:00 -0000

ros-lyrical-gz-ros2-control-demos (2.0.4-3resolute) resolute; urgency=high

  * Fix ackermann demo (#470 <https://github.com/ros-controls/gz_ros2_control/issues/470>)
  * Update diff_drive controller parameters (#462 <https://github.com/ros-controls/gz_ros2_control/issues/462>)
  * Add a namespaced example (#457 <https://github.com/ros-controls/gz_ros2_control/issues/457>)
  * Contributors: Christoph Fröhlich, Wiktor Bajor

 -- Alejandro Hernandez <ahcorde@osrfoundation.org>  Wed, 15 Jan 2025 06:00:00 -0000

ros-lyrical-gz-ros2-control-demos (2.0.3-3resolute) resolute; urgency=high

  * Add Mecanum vehicle example (#451 <https://github.com/ros-controls/gz_ros2_control/issues/451>)
    Co-authored-by: Alejandro Hernández Cordero <mailto:ahcorde@gmail.com>
  * Add Demos for SDF (#427 <https://github.com/ros-controls/gz_ros2_control/issues/427>)
    Co-authored-by: Alejandro Hernández Cordero <mailto:ahcorde@gmail.com>
  * Add missing bridge for simulation time (#443 <https://github.com/ros-controls/gz_ros2_control/issues/443>)
  * Contributors: Aarav Gupta, Christoph Fröhlich, Marq Rasmussen

 -- Alejandro Hernandez <ahcorde@osrfoundation.org>  Wed, 11 Dec 2024 06:00:00 -0000

ros-lyrical-gz-ros2-control-demos (2.0.2-3resolute) resolute; urgency=high



 -- Alejandro Hernandez <ahcorde@osrfoundation.org>  Mon, 28 Oct 2024 05:00:00 -0000

ros-lyrical-gz-ros2-control-demos (2.0.1-3resolute) resolute; urgency=high

  * Use spawner with --params-file argument instead of cli verbs (#399 <https://github.com/ros-controls/gz_ros2_control/issues/399>)
    Co-authored-by: Alejandro Hernández Cordero <mailto:ahcorde@gmail.com>
  * Contributors: Christoph Fröhlich

 -- Alejandro Hernandez <ahcorde@osrfoundation.org>  Mon, 26 Aug 2024 05:00:00 -0000

ros-lyrical-gz-ros2-control-demos (2.0.0-3resolute) resolute; urgency=high

  * fixed robot name (#358 <https://github.com/ros-controls/gz_ros2_control/issues/358>)
  * Contributors: huzaifa

 -- Alejandro Hernandez <ahcorde@osrfoundation.org>  Tue, 09 Jul 2024 05:00:00 -0000

ros-lyrical-gz-ros2-control-demos (1.3.1-3resolute) resolute; urgency=high

  * Ackermann steering example (#349 <https://github.com/ros-controls/gz_ros2_control/issues/349>)
  * Rename variable in launch file (#327 <https://github.com/ros-controls/gz_ros2_control/issues/327>)
    Co-authored-by: Alejandro Hernández Cordero <mailto:ahcorde@gmail.com>
  * added color definitions (#310 <https://github.com/ros-controls/gz_ros2_control/issues/310>)
  * Remove stamped twist parameter (#308 <https://github.com/ros-controls/gz_ros2_control/issues/308>)
  * Contributors: Christoph Fröhlich, Reza Kermani, huzaifa

 -- Alejandro Hernandez <ahcorde@osrfoundation.org>  Tue, 02 Jul 2024 05:00:00 -0000

ros-lyrical-gz-ros2-control-demos (1.3.0-3resolute) resolute; urgency=high

  * Update pendulum-example  (#301 <https://github.com/ros-controls/gz_ros2_control/issues/301>)
    * Change initial pose of pendulum
    * Make position and effort version of pendulum equal
  * Use Gazebo ROS vendor packages (#277 <https://github.com/ros-controls/gz_ros2_control/issues/277>)
  * Add cart-pole demo (#289 <https://github.com/ros-controls/gz_ros2_control/issues/289>)
  * Rewrite mimic joints (#276 <https://github.com/ros-controls/gz_ros2_control/issues/276>)
    Co-authored-by: Alejandro Hernández Cordero <mailto:ahcorde@gmail.com>
  * Fix flake8 (#269 <https://github.com/ros-controls/gz_ros2_control/issues/269>)
  * Cleanup launch files and add example for .xml launch file. (#266 <https://github.com/ros-controls/gz_ros2_control/issues/266>)
  * Contributors: Addisu Z. Taddese, Christoph Fröhlich, Dr. Denis

 -- Alejandro Hernandez <ahcorde@osrfoundation.org>  Tue, 14 May 2024 05:00:00 -0000

ros-lyrical-gz-ros2-control-demos (1.2.2-3resolute) resolute; urgency=high

  * Add dep (#256 <https://github.com/ros-controls/gz_ros2_control/issues/256>)
  * Contributors: Christoph Fröhlich

 -- Alejandro Hernandez <ahcorde@osrfoundation.org>  Thu, 21 Mar 2024 05:00:00 -0000

ros-lyrical-gz-ros2-control-demos (1.2.1-3resolute) resolute; urgency=high

  * Use parameters with ros_gz_sim::Create (#211 <https://github.com/ros-controls/gz_ros2_control/issues/211>)
    Co-authored-by: Christoph Fröhlich <mailto:christophfroehlich@users.noreply.github.com>
  * Contributors: Alejandro Hernández Cordero

 -- Alejandro Hernandez <ahcorde@osrfoundation.org>  Wed, 24 Jan 2024 06:00:00 -0000

ros-lyrical-gz-ros2-control-demos (1.2.0-3resolute) resolute; urgency=high

  * Rename cartpole with cart (#214 <https://github.com/ros-controls/gz_ros2_control/issues/214>)
    Co-authored-by: Christoph Fröhlich <mailto:christophfroehlich@users.noreply.github.com>
  * Replace Twist with TwistStamped (#210 <https://github.com/ros-controls/gz_ros2_control/issues/210>)
  * Update diff_drive_example.launch.py (#207 <https://github.com/ros-controls/gz_ros2_control/issues/207>) (#209 <https://github.com/ros-controls/gz_ros2_control/issues/209>)
    (cherry picked from commit e20382adc627e609e277c45e74b21f603e629675)
    Co-authored-by: Jakub Delicat <mailto:109142865+delihus@users.noreply.github.com>
  * Support Harmonic (#185 <https://github.com/ros-controls/gz_ros2_control/issues/185>)
  * Cleanup controller config (#180 <https://github.com/ros-controls/gz_ros2_control/issues/180>)
  * Contributors: Alejandro Hernández Cordero, mergify[bot]

 -- Alejandro Hernandez <ahcorde@osrfoundation.org>  Thu, 04 Jan 2024 06:00:00 -0000

ros-lyrical-gz-ros2-control-demos (1.1.2-3resolute) resolute; urgency=high

  * Set C++ version to 17 (#171 <https://github.com/ros-controls/gz_ros2_control/issues/171>)
  * Update diff_drive_controller_velocity.yaml (#172 <https://github.com/ros-controls/gz_ros2_control/issues/172>)
  * Contributors: Alejandro Hernández Cordero

 -- Alejandro Hernandez <ahcorde@osrfoundation.org>  Wed, 23 Aug 2023 05:00:00 -0000

ros-lyrical-gz-ros2-control-demos (1.1.1-3resolute) resolute; urgency=high

  * typo fix (#143 <https://github.com/ros-controls/gz_ros2_control//issues/143>)
  * Contributors: Reza Kermani

 -- Alejandro Hernandez <ahcorde@osrfoundation.org>  Thu, 13 Jul 2023 05:00:00 -0000

ros-lyrical-gz-ros2-control-demos (1.1.0-3resolute) resolute; urgency=high

  * Clean shutdown example position (#135 <https://github.com/ros-controls/gz_ros2_control/issues/135>)
  * Fixed /clock with gz_ros2_bridge (#137 <https://github.com/ros-controls/gz_ros2_control/issues/137>)
  * Removed tricycle publish rate (#133 <https://github.com/ros-controls/gz_ros2_control/issues/133>)
  * Contributors: Alejandro Hernández Cordero

 -- Alejandro Hernandez <ahcorde@osrfoundation.org>  Tue, 23 May 2023 05:00:00 -0000

ros-lyrical-gz-ros2-control-demos (1.0.0-3resolute) resolute; urgency=high

  * Renamed ign to gz (#67 <https://github.com/ros-controls/gz_ros2_control/issues/67>)
  * Contributors: Alejandro Hernández Cordero

 -- Alejandro Hernandez <ahcorde@osrfoundation.org>  Tue, 28 Mar 2023 05:00:00 -0000

ros-lyrical-gz-ros2-control-demos (0.6.1-3resolute) resolute; urgency=high



 -- Alejandro Hernandez <ahcorde@osrfoundation.org>  Tue, 07 Feb 2023 06:00:00 -0000

ros-lyrical-gz-ros2-control-demos (0.6.0-3resolute) resolute; urgency=high

  * Merge pull request -- Galactic to master #103 <https://github.com/ros-controls/gz_ros2_control/issues/103> from ros-controls/ahcorde/galactic_to_main_25_11_2022
  * Fixed URIS (#93 <https://github.com/ros-controls/gz_ros2_control/issues/93>)
  * Fix Docker entrypoint and add launch CLI to dependencites (#84 <https://github.com/ros-controls/gz_ros2_control/issues/84>)
  * Add support for mimic joints. (#33 <https://github.com/ros-controls/gz_ros2_control/issues/33>)
  * Add tricycle demo (#80 <https://github.com/ros-controls/gz_ros2_control/issues/80>)
  * Contributors: Alejandro Hernández Cordero, Andrej Orsula, Denis Štogl, Krzysztof Wojciechowski, Tony Najjar

 -- Alejandro Hernandez <ahcorde@osrfoundation.org>  Fri, 06 Jan 2023 06:00:00 -0000

ros-lyrical-gz-ros2-control-demos (0.5.0-3resolute) resolute; urgency=high

  * Fix setting initial values if command interfaces are not defined. (#73 <https://github.com/ros-controls/gz_ros2_control/issues/73>)
  * fix demo launch (#75 <https://github.com/ros-controls/gz_ros2_control/issues/75>)
  * Adjust URLs (#65 <https://github.com/ros-controls/gz_ros2_control/issues/65>)
  * Use Ubuntu Jammy in CI (#47 <https://github.com/ros-controls/gz_ros2_control/issues/47>)
  * Add support for initial_values for hardware interfaces when starting simulation. (#27 <https://github.com/ros-controls/gz_ros2_control/issues/27>)
  * Contributors: Alejandro Hernández Cordero, Andrej Orsula, Bence Magyar, Denis Štogl, Maciej Bednarczyk, ahcorde

 -- Alejandro Hernandez <ahcorde@osrfoundation.org>  Tue, 09 Aug 2022 05:00:00 -0000

ros-lyrical-gz-ros2-control-demos (0.4.1-3resolute) resolute; urgency=high

  * ign_ros2_control_demos: Install urdf dir (#61 <https://github.com/ignitionrobotics/ign_ros2_control/issues/61>)
  * Remove URDF dependency (#56 <https://github.com/ignitionrobotics/ign_ros2_control/issues/56>)
  * Contributors: Alejandro Hernández Cordero, Andrej Orsula

 -- Alejandro Hernandez <ahcorde@osrfoundation.org>  Mon, 06 Jun 2022 05:00:00 -0000

ros-lyrical-gz-ros2-control-demos (0.4.0-3resolute) resolute; urgency=high



 -- Alejandro Hernandez <ahcorde@osrfoundation.org>  Fri, 18 Mar 2022 05:00:00 -0000

ros-lyrical-gz-ros2-control-demos (0.3.0-3resolute) resolute; urgency=high



 -- Alejandro Hernandez <ahcorde@osrfoundation.org>  Wed, 16 Mar 2022 05:00:00 -0000

ros-lyrical-gz-ros2-control-demos (0.2.0-3resolute) resolute; urgency=high

  * Merge pull request #36 <https://github.com/ignitionrobotics/ign_ros2_control/issues/36> from ignitionrobotics/ahcorde/foxy_to_galactic
    Foxy -> Galactic
  * Fixed galactic dependency
  * Merge remote-tracking branch 'origin/foxy' into ahcorde/foxy_to_galactic
  * Contributors: Alejandro Hernández Cordero

 -- Alejandro Hernandez <ahcorde@osrfoundation.org>  Thu, 17 Feb 2022 06:00:00 -0000

ros-lyrical-gz-ros2-control-demos (0.1.2-3resolute) resolute; urgency=high

  * Updated docs and renamed diff drive launch file (#32 <https://github.com/ignitionrobotics/ign_ros2_control/issues/32>)
    Co-authored-by: Denis Štogl <mailto:denis@stogl.de>
  * Added Diff drive example (#28 <https://github.com/ignitionrobotics/ign_ros2_control/issues/28>)
  * Contributors: Alejandro Hernández Cordero

 -- Alejandro Hernandez <ahcorde@osrfoundation.org>  Mon, 14 Feb 2022 06:00:00 -0000

ros-lyrical-gz-ros2-control-demos (0.1.1-3resolute) resolute; urgency=high

  * Change package names from ignition_ to ign_ (#19 <https://github.com/ignitionrobotics/ign_ros2_control/issues/19>)
    * Change package names from ignition_ to ign_
  * Added missing dependencies to package.xml (#18 <https://github.com/ignitionrobotics/ign_ros2_control/pull/21>)
  * Contributors: Alejandro Hernández Cordero

 -- Alejandro Hernandez <ahcorde@osrfoundation.org>  Fri, 07 Jan 2022 06:00:00 -0000

ros-lyrical-gz-ros2-control-demos (0.1.0-3resolute) resolute; urgency=high

  * Ignition ros2 control (#1 <https://github.com/ignitionrobotics/ign_ros2_control/issues/1>)
    Co-authored-by: ahcorde <mailto:ahcorde@gmail.com>
    Co-authored-by: Louise Poubel <mailto:louise@openrobotics.org>
    Co-authored-by: Vatan Aksoy Tezer <mailto:vatan@picknik.ai>
  * Contributors: Alejandro Hernández Cordero, Louise Poubel, Vatan Aksoy Tezer

 -- Alejandro Hernandez <ahcorde@osrfoundation.org>  Wed, 05 Jan 2022 06:00:00 -0000


